- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
WPS4ParserInternal::State Struct Reference

the state of WPS4 More...

## Public Member Functions
| State ()

## Public Attributes
bool | m_isDosFile
| flag to know if the file is or not a dos file More...
long | m_eof
| the last file position More...
WPSPageSpan | m_pageSpan
| the actual document size More...
bool | m_noFirstPageHeader
bool | m_noFirstPageFooter
int | m_numColumns
| the number of columns More...
int | m_actPage
| the actual page More...
int | m_numPages

## Detailed Description

the state of WPS4

## Constructor & Destructor Documentation

WPS4ParserInternal::State::State | ( |  | ) |
| inline

## Member Data Documentation

int WPS4ParserInternal::State::m_actPage

the actual page

long WPS4ParserInternal::State::m_eof

the last file position

bool WPS4ParserInternal::State::m_isDosFile

flag to know if the file is or not a dos file

bool WPS4ParserInternal::State::m_noFirstPageFooter

bool WPS4ParserInternal::State::m_noFirstPageHeader

int WPS4ParserInternal::State::m_numColumns

the number of columns

int WPS4ParserInternal::State::m_numPages

WPSPageSpan WPS4ParserInternal::State::m_pageSpan

the actual document size

The documentation for this struct was generated from the following file:

- WPS4.cpp